Subject: Unable to unlock luks encrypted disks with GRUB

From: Ellis Leaf <[email-masked]>
Date: Sun, 23 Mar 2025 21:14:26 +0000

Hi! I'm trying to install Alpine for the first time, following
(mostly) the guide [1] on Alpine's wiki, and [2] on Arch0s wiki.

However, I'm encountering some problems with GRUB's configuration. The
most annoying and problematic one is that the keyboard layout does not
change with the keymap command, both in the config script and from the
GRUB rescue shell.

Another problem, which might be causing the first one, is that, before
I get the password prompt, I get the error "Unknown command
'terminal_input'". I get the same error for the command "normal",
after unlocking the disk fails.

Also, I'm unable to generate the keyboard layout from inside Alpine,
because ckbcomp is missing some files under /usr/share/X11/xkb.
I've both tried with a layout generated from my Gentoo system, and
one generated from Alpine after copying the necessary files from
Gentoo. (Although as expected they where identical)
I'd be happy to generate one with files from Alpine's repos but I
can't seem to figure out what package provides them.

I should also note that I'm trying to setup LUKS2. I know this might
be problematic, but I'm confident this is not related.

The following is my version of grub-pre.cfg (I'm not sure what the
preferred way of sharing code is, hope this is okay):

set root=(memdisk)
set prefix=($root)/
terminal_input at_keyboard
keymap /it.gkb
set crypto_uuid=2ed3a90d791e4f8884c19e5d4b035d26
cryptomount -u $crypto_uuid
set root='lvmid/0sLPCC-...-3bAQqZ/n3gOdv-...-GHqKbi'
set prefix=($root)/boot/grub
insmod normal
normal

Does anyone have any idea of what I might be doing wrong? Thank you
in advance :)

.:| orsetto ~}>

--

[1] https://wiki.alpinelinux.org/wiki/LVM_on_LUKS
[2] https://wiki.archlinux.org/title/GRUB/Tips_and_tricks#Manual_configuration_of_core_image_for_early_boot